RE(1)

NAME
re - programm to conver russian texts between different encodings

SYNOPSIS
re <infile><outfile><infrmt><outfrmt><f|b|s><u|l|s>

DESCRIPTION
This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

re is a program that converts russian texts between encodings.

OPTIONS
The easiest way to convert some file into readable form (KOI-8), just type this:

re <SourceFile> <DestFile> ? K

where :

<SourceFile> - unreadable file

<DestFile> - resulting file

? - tells RE that source codepage is unknown and RE should analyze the file and determine the source codepage

K - tells RE that destination codepage is KOI-8

Note: If you know, what is source codepage, you may use it instead of "?" option. For example, you want to convert letter.txt file which was written in Win you know, that this file is in 1251 codepage:

    re letter.txt letter2.txt W K

Now examine the letter2.txt - you should see russian symbols in KOI-8.

Here is the know codepages list and their abbreviatures:

    W - Windows 1251 "_" - _xxe
    D - Dos "%" - %hex
    K - KOI-8 "\\" - \'hex
    L - Latin G - Graph_win
    I - Iso "<" - <binhex>
    H - HEX + - +UTF7-
    S - ShiftKbrd C - C_MIC
    M - Mac Y - Y_c16
    A - AFF Z - Z_c32
    O - Odd(UTF8_1) F - F(UTF8_2)
    B - Base64 P - Pict
    E - Express N - N_Estl
    T - T-Html V - V_Vpp855
    U - User X - X_sp
    "-" - uue J - J_diff

Other options are: [-v][-E|-R|-N][-e|-s]
     -v - tells what is processing
     -n - don't tells what is processing (default)
     -E - converts all p,H from Russian to English
     -R - converts all p,H from English to Russian
     -N - lets all p,H Russian or English as in text (default)
     -e - converts all symbols 0x80 - 0xFF
     -s - converts only 64 symbols of Russian Alphabet (default)

AUTHOR
This manual page was written by Aigars Mahinovs <aigarius@debian.org>, for the Debian GNU/Linux system (but may be used by others).